import { useMatch } from "@/modules/match";
import { defineComponent } from "vue";
import Mat from "./Mat";
import Product from "./Product";

export default defineComponent({
  setup() {
    const match = useMatch();

    return () => {
      const { editType } = match.store;

      if (editType == "mat") return <Mat />;
      return <Product />;
    };
  },
});
